For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The User object
          • GET/users
          • GET/users/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsUsers

/users/{id}

GET
/ticketing/v1/users/:id
GET
/api/ticketing/v1/users/:id
$curl -G https://api.merge.dev/api/ticketing/v1/users/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=teams,roles
200Retrieved
1{
2 "id": "17a54124-287f-494d-965e-3c5b330c9a68",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Gil Feig",
7 "email_address": "help@merge.dev",
8 "is_active": true,
9 "teams": [
10 "28b54125-287f-494d-965e-3c5b330c9a68",
11 "17a54124-287f-494d-965e-3c5b330c9a68"
12 ],
13 "roles": [
14 "23454124-387f-494d-265e-345b330c9123"
15 ],
16 "avatar": "https://merge.dev/user_profile_pic.png",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/platform-endpoint",
29 "data": null
30 }
31 ]
32}

Returns a User object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/users

Next

/account-details

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The user's name.
email_addressstring or null
The user's email address.
is_activeboolean or null
Whether or not the user is active.
teamslist of strings
roleslist of strings
avatarstring or null
The user's avatar picture.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only